%global base_name  discovery
%global short_name commons-%{base_name}

%{?scl:%scl_package apache-commons-discovery}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}apache-%{short_name}
Version:        0.5
Release:        10%{?dist}
Epoch:          2
Summary:        Apache Commons Discovery
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://commons.apache.org/%{base_name}
Source0:        http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
Patch0:         %{pkg_name}-addosgimanifest.patch
BuildArch:      noarch

BuildRequires:  maven
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  %{?scl_prefix}apache-commons-logging >= 1.1.1

Provides:       %{?scl_prefix}jakarta-%{short_name} = %{epoch}:%{version}-%{release}
Obsoletes:      %{?scl_prefix}jakarta-%{short_name} <= 1:0.4

%description
The Discovery component is about discovering, or finding, implementations for
pluggable interfaces.  Pluggable interfaces are specified with the intent that
multiple implementations are, or will be, available to provide the service
described by the interface.  Discovery provides facilities for finding and
instantiating classes, and for lifecycle management of singleton (factory)
classes.

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0

%build
mvn-rpmbuild install

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 target/%{short_name}-%{version}.jar %{buildroot}%{_javadir}/%{pkg_name}.jar
ln -sf %{pkg_name}.jar %{buildroot}%{_javadir}/%{short_name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom
%add_maven_depmap JPP-%{short_name}.pom %{short_name}.jar

%files
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*
%{_mavenpomdir}/JPP-%{short_name}.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Thu Apr 4 2013 Krzysztof Daniel <kdaniel@redhat.com> 2:0.5-10
- Remove scl prefix from the jar.
- Drop javadoc subpackage.

* Tue Feb 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 2:0.5-9
- Remove unnecessary obsoletes.

* Thu Feb 14 2013 Krzysztof Daniel <kdaniel@redhat.com> 2:0.5-8
- Initial contribution to SCL.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2:0.5-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jan 15 2013 Michal Srb <msrb@redhat.com> - 2:0.5-5
- Build with xmvn

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 gil cattaneo <puntogil@libero.it> - 2:0.5-3
- add maven pom

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 7 2011 Alexander Kurtakov <akurtako@redhat.com> 2:0.5-1
- Update to 0.5 upstream release.
- Build with maven.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-5
- Add license to javadoc subpackage
- Fix jar symlink installation

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-4
- Add obsoletes to javadoc subpackage
- Add proper symlinks for unversioned jar files

* Fri May  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-3
- Add jpackage-utils as dep for -javadoc subpackage

* Fri May  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-2
- Fix provides

* Thu May  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.4-1
- Rename and cleanup of jakarta-commons-discovery
